/**
 * CSS for GoogleMaps - Stadtplan Rottenburg"
 * 
 * @copyright Seitenblick digitale Medien GmbH
 */

/*Reset*/ 
* {
  box-sizing: border-box;
}
html,
body {
  font-family: "aller",sans-serif;
  margin: 0;
  padding: 0;
}
 
 
/*Helper*/
.hide{
  display: none;
}
 
 /*GoogleMap*/
 /* Set the size of the div element that contains the map */
#map {
  height: 100vh;  /* The height is 100 vh */
  position: fixed!important;
  width: 100%;  /* The width is the width of the web page */
 }  

/*Category-Filter-Box on the left*/ 
#map-filter-overlay{
  background: #fff;
  /*height: 100vh;*/
  overflow: auto;
  max-width: 100%;
  padding: 20px 25px 10px 25px;
  position: absolute;
  top: 0;
  width: 375px;
  z-index: 10;
}
@media only screen and (max-width: 720px) {
  #map-filter-overlay {
    padding-bottom: 0;
    position: relative;
    width: 100%;          
  }
}        
#map-filter-overlay h1{
  color: rgb(210,0,0);
  display: inline;
  font-size: 32px;
  font-weight: 300;
  position: relative;
  top: -7px;
}
.maps-logo{
  display: inline-block;
}
.filter-toggle{
  position: absolute;
  right: 30px;
  font-size: 25px;
  top: 26px;      
}
.filter-toggle.active i{
  transform: rotate(180deg);
  transition: all 0.3s;
}
.logo_fig{
  margin-right: 20px;
}
.navi-footer{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.navi-footer a{
  color: rgb(210,0,0);
  display: inline;
  font-size: 16px;
  margin-right: 15px;
  padding: 5px 0;
  text-decoration: none;
}
@media only screen and (max-width: 720px) {
  .navi-footer{
    text-align: right;
  }
  .navi-footer a{
    display: inline-block;
    padding: 10px 10px 10px 0;
  }
  .navi-footer a:last-child{
    padding-right: 0;
  }
}

/*Infowindow*/      
.gm-style img{
  max-width: 350px!important;
}
.gm-style .gm-style-cc span, .gm-style .gm-style-cc a, .gm-style .gm-style-mtc div{
  font-size: 12px!important;
}
.gm-style-iw,
.gm-style-iw-d
{
  max-height: unset!important; 
  overflow: hidden!important;
}
.gm-style .gm-style-iw-c{
  border-radius: 0;
  padding: 0;
}
.gm-style .gm-style-iw-t::after{
  background: rgb(210,0,0);
}
.infowindow .organisation_infos,
.infowindow .route_infos{
  padding:0 25px 25px 25px;
  font-size: 16px;
}
@media only screen and (max-width: 720px) {
  .infowindow .organisation_infos,
  .infowindow .route_infos{
    padding:0 10px 5px 10px;
  }
}
.infowindow .organisation_infos a,
.infowindow .route_infos a {
  color: rgb(210,0,0);
  text-decoration: none;
}
.infowindow .address{
  margin-bottom: 15px;
}
@media only screen and (max-width: 720px) {
  .infowindow .address{
    margin-bottom: 5px;
  }
}      
.infowindow .phone:before{
  background-image: url('/i/mapicons/icon_phone.svg');
  content: " ";
  display: inline-block;
  height: 16px; 
  margin-right: 5px;
  width: 16px;        
}
.infowindow .email a{
  display: inline-block;
  text-indent: -20px;
  padding-left: 20px;
}
.infowindow .email a:before{
  background-image: url('/i/mapicons/icon_email.svg');
  content: " ";
  display: inline-block;
  height: 16px; 
  margin-right: 5px;
  position: relative;
  top: 3px;
  width: 16px;        
}  
.infowindow .route{
  cursor: pointer;
}
.infowindow .route_timetable a{  
  text-decoration: none;
}
.infowindow .route a:before,
.infowindow .route_timetable a:before{
  background-image: url('/i/mapicons/icon_map.svg');
  content: " ";
  display: inline-block;
  height: 16px; 
  margin-right: 5px;
  position: relative;
  top: 3px;
  width: 16px;        
}        
.infowindow{
  font-family: "aller",sans-serif;
  max-width: 350px;
}
.infowindow h3{
  color: rgb(210,0,0);
  font-size: 18px;
  font-weight: 300;
  /*margin-top: 0;*/
}
@media only screen and (max-width: 720px) {
  .infowindow h3{
    margin: 5px 0!important;
  }
}
.infowindow .more-link{
  background-color: rgb(210,0,0);
  color: #fff;
  display: block;
  font-size: 18px;
  padding: 13px;
  text-align: center;
  text-decoration: none;
}
/*Close-Button-Infowindow*/
.gm-ui-hover-effect{
  background: white !important;
  opacity: 0.85;
  top: 0 !important;
  right: 0 !important;
}


/*TREEVIEW HUMMINGBIRD - Checkbox-Filter*/
#treeview
{
  font-size: 18px;
  line-height: 1.5;
  list-style: none;
  padding-left: 0;
}
@media only screen and (max-width: 720px) {
  #treeview {
    display: none;
  }
}      
#treeview label{
  /*text-indent: -25px;*/
  cursor: pointer;
  display: inline-block;
  /*padding-left: 25px;*/
}
#treeview li{
  border-bottom: 1px solid #D1C8C8;
  padding: 15px 0;
  position: relative;
}
#treeview li i{
  position: absolute;
  right: 0;
  top: 20px;
}
#treeview ul{
  font-size: 16px;
  list-style: none;
  padding-left: 15px;
  padding-top: 10px;
}
#treeview ul li{
  border-bottom: 0;
  padding: 5px 0;
}




/* chk-btn CSS from
http://stackoverflow.com/questions/30100978/how-to-make-a-check-button-hidden-checkbox-with-label-as-a-button-css-only
*/

input.chk-btn {
  display: none;
}
input.chk-btn + label {
  border: 1px solid grey;
  background: ghoswhite;
  padding: 5px 8px;
  cursor: pointer;
  border-radius: 5px;
 
}
input.chk-btn:not(:checked) + label:hover {
  box-shadow: 0px 1px 3px;
  
}
input.chk-btn + label:active,
input.chk-btn:checked + label {
  box-shadow: 0px 0px 3px inset;
  background: #8cc472;
  
}    

/*Checkbox-Styling*/

[type="checkbox"]:not(:indeterminate):not(:checked), [type="checkbox"]:not(:indeterminate):checked,
[type="radio"]:not(:indeterminate):not(:checked), [type="radio"]:not(:indeterminate):checked {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}
[type="checkbox"]:indeterminate{        
  position: absolute;
  top: 18px;        
  left: -3px;
}
input[type="checkbox"] + span, label > [type="radio"] + span {
  display: inline-block;
  height: 25px;
  line-height: 25px;
  padding-left: 30px;
  position: relative;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
input[type="checkbox"] + span:before,
input[type="checkbox"] + span:after,
label > [type="radio"] + span:before,
label > [type="radio"] + span:after {
  border: 2px solid #440101;
  border-radius: 1px;
  content: '';
  height: 11px;
  margin-top: 4px;
  top: 0;
  left: 0;
  position: absolute;
  transition: .2s;
  width: 11px;
  z-index: 0;
}
label > [type="radio"]:not(:indeterminate) + span:before,
label > [type="radio"]:not(:indeterminate) + span:after {
  border-radius: 12px;
}
label > [type="radio"]:not(:indeterminate):checked + span:after {
  border-radius: 1px;
}
input[type="checkbox"]:not(:indeterminate):checked + span:before,
label > [type="radio"]:not(:indeterminate):checked + span:before {
  background: #980808;
  border-color: #980808;
}
input[type="checkbox"]:not(:indeterminate):checked + span:after,
label > [type="radio"]:not(:indeterminate):checked + span:after {
  border-bottom: 2px solid #fff;
  border-left: 2px solid transparent;
  border-right: 2px solid #fff;
  border-top: 2px solid transparent;
  backface-visibility: hidden;
  height: 16px;
  left: 0;
  top: -7px;
  transform: rotate(40deg);
  transform-origin: 100% 100%;
  width: 5px;
}

/*indeterminate*/
label > [type="radio"]:indeterminate + span:before,
label > [type="radio"]:indeterminate + span:after {
  border-radius: 12px;
}
label > [type="radio"]:indeterminate + span:after {
  border-radius: 1px;
}
input[type="checkbox"]:indeterminate + span:before,
label > [type="radio"]:indeterminate + span:before {
  background: #959595;
  border-color: #959595;
}
input[type="checkbox"]:indeterminate + span:after,
label > [type="radio"]:indeterminate + span:after {
  border-bottom: 2px solid #fff;
  border-left: 2px solid transparent;
  border-right: 2px solid #fff;
  border-top: 2px solid transparent;
  backface-visibility: hidden;
  height: 16px;
  left: 0;
  top: -7px;
  transform: rotate(40deg);
  transform-origin: 100% 100%;
  width: 5px;
}


/*Autocomplete - Suggest*/
.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active, a.ui-button:active, .ui-button:active, .ui-button.ui-state-active:hover{
  background: none;
  border: none;
  color: #000;
  font-weight: 700;
}
.ui-widget-content{
  padding: 10px;
  width: 100%!important;
  position: relative;
  top: 0 !important;
  left: 0 !important;
}
.input-group{
  border: 1px solid #d1c8c8;   
  margin-top: 20px;
  padding: 15px 10px;        
}
@media only screen and (max-width: 720px) {
  .input-group{
    margin-top: 10px;
  }
}
.input-group #autocomplete-input{
  border: 0;
  color: #858483;        
  font-size: 18px;
  width: calc(100% - 40px);
}
.submit-button{
  cursor: pointer;
  float: left; 
  height: 30px;
  padding-right: 10px; 
  position: relative;
  top: -2px;
  width: 30px;
}
form input[type="submit"] { 
  display: none;
}
.ui-menu .ui-menu-item-wrapper{
  padding: 5px 0;
  display: inline-block;
}



.googlemap .message{
  margin-top: 0;
}